@import "{}/imports/ui/stylesheets/variables/index";

// *** Event compact ***
//======================

// ** Compact
//========================================================================================
.event-compact {
  background: $event-body-bg;
  display: flex;
  flex-flow: column;
  height: $event-compact-height;
  overflow: hidden;
  position: relative;
  transition: box-shadow 0.15s;

  &:hover {
    box-shadow: $shadow-lg-offset-x $shadow-lg-offset-y $shadow-lg-blur $default-shadow;
  }
}

.event-compact.has-date {
  height: $event-compact-with-date-height;
}

// ** Body
//========================================================================================
.event-compact-body-wrap {
  flex-grow: 1;
}

.event-compact-body {
  @include ellipsis-multiline(5);

  margin: 10px;
  max-height: $event-compact-height - 60px;
  padding: 0;
}

// ** Header
//========================================================================================
.event-compact-header {
  @include ellipsis;
  background: $event-header-bg;
  border-bottom: $event-compact-seperator-height solid $body-bg;
  color: $gray-800;
  display: table;
  padding: 7px;

  &.user-attends-event {
    background: $user-bg;
  }

  /* Move over stretched-link */
  .tag-group {
    position: relative;
    z-index: 2;
  }
}

.event-compact-header .fa-clock-o,
.event-compact-header .event-compact-time {
  margin-bottom: 5px;
}

// ** Past event
//========================================================================================
.event-compact.is-past {
  background-color: desaturate(lighten($event-body-bg, 5%), 20%);
}

.event-compact.is-past > .event-compact-header {
  background-color: desaturate(lighten($event-header-bg, 5%), 50%);
}

// ** Title
//========================================================================================
.event-compact-title {
  display: inline;
  font-weight: 501;
  padding: 0;

  a {
    color: $gray-800;
  }
}

.event-compact-title::after {
  // Simulate margin: 0 0 0.25rem;
  content: "";
  display: inline-block;
  height: $h4-font-size + 0.9rem;
  vertical-align: top;
}

// ** Description
//========================================================================================
.event-compact-description {
  color: $gray-800;
  display: inline;
}

// event canceled
//============================================================================================
.event-canceled {
  background-color: $canceled-color;
  border-radius: 5px;
  color: $white;
  display: flow-root;
  font-family: monospace, sans-serif;
  font-size: 2em;
  font-stretch: narrower;
  font-weight: 950;
  left: 5%;
  margin-block-start: 18px;
  opacity: 0.4;
  padding: 5px;
  position: absolute;
  text-align: center;
  top: 40%;
  transform: rotate(-27deg);
  transform: rotate(-27d300eg);
  transform: rotate(-27deg);
  width: fit-content;
  z-index: 0;
}

// event fully booked
//============================================================================================
.event-fully-booked {
  background-color: #f99248;
  border-radius: 5px;
  color: $white;
  display: flow-root;
  font-family: monospace, sans-serif;
  font-size: 2em;
  font-stretch: narrower;
  font-weight: 950;
  left: 5%;
  margin-block-start: 18px;
  opacity: 0.4;
  padding: 5px;
  position: absolute;
  text-align: center;
  top: 40%;
  transform: rotate(-27deg);
  transform: rotate(-27d300eg);
  transform: rotate(-27deg);
  width: fit-content;
  z-index: 0;
}
